Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.etsi.uri._01903.v1_3
Class OtherTimeStamp

    java.lang.Object
      org.etsi.uri._01903.v1_3.GenericTimeStampType
          org.etsi.uri._01903.v1_3.OtherTimeStamp

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2018-09-20T05:23:16+02:00",
               comments="JAXB RI v2.2.11")
    public class OtherTimeStamp

extends GenericTimeStampType
implements Serializable

Java class for OtherTimeStampType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OtherTimeStampType">
       <complexContent>
         <restriction base="{http://uri.etsi.org/01903/v1.3.2#}GenericTimeStampType">
           <sequence>
             <element ref="{http://uri.etsi.org/01903/v1.3.2#}ReferenceInfo" maxOccurs="unbounded"/>
             <element ref="{http://www.w3.org/2000/09/xmldsig#}CanonicalizationMethod" minOccurs="0"/>
             <choice>
               <element name="EncapsulatedTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}EncapsulatedPKIDataType"/>
               <element name="XMLTimeStamp" type="{http://uri.etsi.org/01903/v1.3.2#}AnyType"/>
             </choice>
           </sequence>
           <attribute name="Id" type="{http://www.w3.org/2001/XMLSchema}ID" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`OtherTimeStamp()`

Method Summary

Methods inherited from class org.etsi.uri._01903.v1_3.GenericTimeStampType
`getCanonicalizationMethod, getEncapsulatedTimeStampsAndXMLTimeStamps, getId, getIncludes, getReferenceInfos, setCanonicalizationMethod, setId`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OtherTimeStamp

    public OtherTimeStamp()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.